curl --request POST \
--url https://api.cashfree.com/ppi/user/details \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"user_id": "USER827364"
}
'import requests
url = "https://api.cashfree.com/ppi/user/details"
payload = { "user_id": "USER827364" }
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({user_id: 'USER827364'})
};
fetch('https://api.cashfree.com/ppi/user/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "USER827364",
"first_name": "John",
"last_name": "Doe",
"phone": "9876543210",
"email": "john.doe@example.com",
"status": "ACTIVE",
"cf_user_id": "859473832123456789"
}Get User Details
Retrieves details of an existing user in the PPI system based on the provided user ID. Returns the userās personal information and account status.
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Headers
API version to be used. Format is in YYYY-MM-DD.
"2025-11-01"
Body
Request parameters to fetch details of an existing user.
Unique identifier for the user, as provided by you during PPI user creation. Only alphanumeric characters, periods (.), hyphens (-), and underscores (_) are allowed.
1 - 50"USER827364"
Response
Success response for creating a user.
Unique identifier for the user, as provided by you during PPI user creation.
"USER827364"
First name of the user.
"John"
Last name of the user.
"Doe"
Phone number of the user without country code.
"9876543210"
Email address of the user.
"john.doe@example.com"
Current status of the user account. Possible values:
- ACTIVE
- BLOCKED
"ACTIVE"
Unique identifier of the user generated by Cashfree.
"859473832123456789"
Was this page helpful?